complexType "GasDelivery"

Namespace: | http://www.fpml.org/FpML-5/transparency
Content: | complex, 5 elements
Defined: | globally in fpml-com-5-5.xsd; see XML source
Includes: | definitions of 4 elements
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...>
Content: | deliveryPoint, deliveryType, interconnectionPoint?, (buyerHub?, sellerHub?)?
</...>

Content Model Elements (5):

  buyerHub,
  deliveryPoint (in deliveryConditions in gasPhysicalLeg),
  deliveryType (in deliveryConditions in gasPhysicalLeg),
  interconnectionPoint (in deliveryConditions in gasPhysicalLeg),
  sellerHub

All Direct / Indirect Based Elements (1):

  deliveryConditions (in gasPhysicalLeg)

Known Usage Locations

- As direct type of elements (1):
  deliveryConditions (in gasPhysicalLeg)

Annotation
The specification of the gas to be delivered.
XML Source (w/o annotations (5); see within schema source)

<xsd:complexType name="GasDelivery"> <xsd:sequence> <xsd:group ref="CommodityDeliveryPoints.model"/> <xsd:element name="deliveryType" type="DeliveryTypeEnum"/> <xsd:element minOccurs="0" name="interconnectionPoint" type="InterconnectionPoint"/> <xsd:sequence minOccurs="0"> <xsd:element minOccurs="0" name="buyerHub" type="CommodityHub"/> <xsd:element minOccurs="0" name="sellerHub" type="CommodityHub"/> </xsd:sequence> </xsd:sequence> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 4/5)
buyerHub

  Type: | CommodityHub, complex content

  The hub code of the gas buyer.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="buyerHub" type="CommodityHub"/>

deliveryType

  Type: | DeliveryTypeEnum, simple content

  Indicates whether the buyer and seller are contractually obliged to consume and supply the specified quantities of the commodity.
  Simple Content

  enumeration of xsd:token

  Enumeration: | "Firm", "Interruptible"

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="deliveryType" type="DeliveryTypeEnum"/>

interconnectionPoint

  Type: | InterconnectionPoint, simple content

  Identification of the border(s) or border point(s) of a transportation contract.
  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="interconnectionPoint" type="InterconnectionPoint"/>

sellerHub

  Type: | CommodityHub, complex content

  The hub code of the has seller.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="sellerHub" type="CommodityHub"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.